Get information about currently logged in user
GET
/profile
const url = 'https://example.com/api/v1/profile';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/profile \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Profile data returned
Media typeapplication/json
object
user
object
username
string
realName
string
capabilities
List of capabilities the current user has
Array<string>
Examplegenerated
{ "user": { "username": "example", "realName": "example" }, "capabilities": [ "example" ]}